org.apache.commons.jelly.tags.xml

## Class ParamTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.xml.ParamTag

All Implemented Interfaces:
  Tag

    public class ParamTag
    extends TagSupport

Sets a parameter in the parent transform tag

Version:
  $Revision: 155420 $
Author:
  Robert Leftwich

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`ParamTag()`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`String` `getName()`
`Object` `getValue()`
`void` `setName(String name)` Sets the name of the attribute
`void` `setValue(Object value)` Sets the value of the attribute

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParamTag

    public ParamTag()

### Method Detail

#### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `JellyTagException`

#### getName

    public String getName()

Returns:
  the name of the attribute.

#### setName

    public void setName(String name)

Sets the name of the attribute

#### getValue

    public Object getValue()

Returns:
  the value of the attribute.

#### setValue

    public void setValue(Object value)

Sets the value of the attribute